mysql_errno(3)

  Name

mysql_errno - returns the last error code for the most recent function call

  Synopsis

    #include <mysql.h>
    unsigned int mysql_errno(MYSQL * mysql);

  Description

Returns the last error code for the most recent function call that can succeed or fail. Zero means no error occurred.

  Parameter

•   mysql is a connection identifier, which was previously allocated by mysql_init(3) and connected by mysql_real_connect(3).

  Notes

•   Client error codes are listed in errmsg.h header file, server error codes are listed in mysqld_error.h header file of the server source distribution.

  See also

•   mysql_error(3)

•   mysql_sqlstate(3)